Subject: Re: [PATCH] serial: Use real irq on UART0 (IRQ = 0) on PPC4xx systems

From: Stefan Roese <[email-masked]>
Date: Mon, 20 Nov 2006 12:54:32 +0100 (MET)

On Monday 20 November 2006 12:42, Alan wrote:
> On Mon, 20 Nov 2006 12:00:36 +0100
>
> Stefan Roese <[email-masked]> wrote:
> > This patch fixes a problem seen on multiple 4xx platforms, where
> > the UART0 interrupt number is 0. The macro "is_real_interrupt" lead
> > on those systems to not use an real interrupt but the timer based
> > implementation.
>
> NAK.

I knew it. ;-)

> Zero means "no interrupt" in the Linux space. If you have a physical IRQ
> 0 remap it to a convenient number (eg map IRQ's + 1, or stick it on the
> end). The logical and physical IRQ numbering in Linux don't have to match
> up - and given some platforms have IRQ numbering per bus and the like
> clearly doesn't in many cases.

Let's see, if I got this right. You mean that on such a platform, where 0 is a 
valid physical IRQ, we should assign another value as virtual IRQ number (not 
0 and not -1 of course). And then the platform "pic" implementation should 
take care of the remapping of these virtual IRQ numbers to the physical 
numbers.

Correct?

Best regards,
Stefan